Subject: bug#78758: shepherd: herd graph issue

From: [email-masked]
Date: Tue, 10 Jun 2025 20:03:30 +0000

Hello,

I noticed that "herd graph" always creates a link to root, which IMO
clobbers the picture (I can send pictures if that is allowed on this
list or their source)

This is due to these lines in herd.scm (around line 782):

                          (if (memq 'root (live-service-provision service))
                              (live-service-requirement service)
                              (cons 'root (live-service-requirement service)))))

The line (live-service-requirement service) is enough to produce
an understandable dependency graph.

Sincerely.

-- 

Bernard